--[[
Initialization file

This file only loads others to improve readability of settings

File organization:

legend:
        >name         : folder
        	>name : sub-folder
        name          : file
	(name)        : comment

>lua
(contains all configuration files)
	>display
	(ui and graphical settings)
		cmd.lua
		(ui settings for the cmd)
		editor.lua
		(ui settings for the editor)
		graphic.lua
		(general graphic settings)
		init.lua
		(load other files)
	>general
	(settings not in other category)
		cmd.lua
		(cmd settings)
		editor.lua
		(editor settings)
		indent.lua
		(tab and indent settings)
		init.lua
		(load other files)
		lang.lua
		(lang settings)
	>mapping
	(key mapping settings)
		init.lua
		(load other files)
		mapleader.lua
		(define mapleader key)
		movement.lua
		(movement linked mapping)
		maintenance.lua
		(maintenance and configuration change linked mapping)
	>plugins
	(plugins settings)
		init.lua
		(load other files)
		loader.lua
		(install and load plugins and plugins settings)
		>{name of a plugin}
		({name of a plugin} settings)
			init.lua
			(load other files)
--]]

require('display') -- ui and graphical settings

require('general') -- settings not in other category

require('mapping') -- key mapping settings

require('plugins') -- plugins settings
